import static org.junit.Assert.*;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
public class InventoryTest
{   
    private Product lemons = new Product("Lemons",5.00,570370,100);
    private Product sugar = new Product("Sugar",3.00,590371,50);
    private Product water = new Product("Water",1.00,593735,200);
    private Product[] products = {lemons, sugar, water};
    private Inventory inventory = new Inventory(products);

    @Test
    public void getWholeInventoryValueTest(){
        double expectedSum = 850.00;
        double actualSum = inventory.getWholeInventoryValue(products);
        assertEquals(expectedSum,actualSum,1E-8);
    }

    @Test
    public void getValueOfAProductTest(){
        double expectedSum = 500.00;
        double actualSum = inventory.getValueOfAProduct(lemons);
        assertEquals(expectedSum,actualSum,1E-8);
    }
}
